kind: pipeline
type: docker
name: default

steps:
  - name: maven
    image: maven
    commands:
      - mvn clean package
  - name: gitea_release
    image: plugins/gitea-release
    settings:
      api_key:
        from_secret: API_KEY
      base_url: https://git.toldi.eu/
      files:
        - target/RSS-hf-maven-1.0-SNAPSHOT.jar
      checksum:
        - sha512
    when:
      event: tag